#ifndef DRAGGABLEWIDGET_H
#define DRAGGABLEWIDGET_H

#include <QWidget>

namespace Ui {
class DraggableWidget;
}

class DraggableWidget : public QWidget {
    Q_OBJECT

public:
    explicit DraggableWidget( QWidget* parent = 0 );
    ~DraggableWidget();

protected:
    void mouseMoveEvent( QMouseEvent* e );
    void mousePressEvent( QMouseEvent* e );
    void mouseReleaseEvent( QMouseEvent* e );

private:
    Ui::DraggableWidget* ui;

    int dx;
    int dy;
};

#endif // DRAGGABLEWIDGET_H
